import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { MsK8sPod } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-09-09 11:14
 */
interface MsK8sPodCU extends ConditionUtil<MsK8sPodCU> {
    ID: FieldUtil<MsK8sPodCU>;
    CREATE_TIME: FieldUtil<MsK8sPodCU>;
    UPDATE_TIME: FieldUtil<MsK8sPodCU>;
    STATE: FieldUtil<MsK8sPodCU>;
    K8S_ID: FieldUtil<MsK8sPodCU>;
    NAMESPACE: FieldUtil<MsK8sPodCU>;
    ENV_CODE: FieldUtil<MsK8sPodCU>;
    DEPLOYMENT_ID: FieldUtil<MsK8sPodCU>;
    POD_ID: FieldUtil<MsK8sPodCU>;
    IP: FieldUtil<MsK8sPodCU>;
    PORT: FieldUtil<MsK8sPodCU>;
    ENV_MAP: FieldUtil<MsK8sPodCU>;
    CONTENT: FieldUtil<MsK8sPodCU>;
}
declare class MsK8sPodMU extends TableUtilImpl<MsK8sPodCU, MsK8sPod> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): MsK8sPodCU;
    static get ID(): FieldUtil<MsK8sPodCU>;
    static get CREATE_TIME(): FieldUtil<MsK8sPodCU>;
    static get UPDATE_TIME(): FieldUtil<MsK8sPodCU>;
    static get STATE(): FieldUtil<MsK8sPodCU>;
    static get K8S_ID(): FieldUtil<MsK8sPodCU>;
    static get NAMESPACE(): FieldUtil<MsK8sPodCU>;
    static get ENV_CODE(): FieldUtil<MsK8sPodCU>;
    static get DEPLOYMENT_ID(): FieldUtil<MsK8sPodCU>;
    static get POD_ID(): FieldUtil<MsK8sPodCU>;
    static get IP(): FieldUtil<MsK8sPodCU>;
    static get PORT(): FieldUtil<MsK8sPodCU>;
    static get ENV_MAP(): FieldUtil<MsK8sPodCU>;
    static get CONTENT(): FieldUtil<MsK8sPodCU>;
    get ID(): FieldUtil<MsK8sPodCU>;
    get CREATE_TIME(): FieldUtil<MsK8sPodCU>;
    get UPDATE_TIME(): FieldUtil<MsK8sPodCU>;
    get STATE(): FieldUtil<MsK8sPodCU>;
    get K8S_ID(): FieldUtil<MsK8sPodCU>;
    get NAMESPACE(): FieldUtil<MsK8sPodCU>;
    get ENV_CODE(): FieldUtil<MsK8sPodCU>;
    get DEPLOYMENT_ID(): FieldUtil<MsK8sPodCU>;
    get POD_ID(): FieldUtil<MsK8sPodCU>;
    get IP(): FieldUtil<MsK8sPodCU>;
    get PORT(): FieldUtil<MsK8sPodCU>;
    get ENV_MAP(): FieldUtil<MsK8sPodCU>;
    get CONTENT(): FieldUtil<MsK8sPodCU>;
}
export { MsK8sPodMU, MsK8sPodCU };
